# Gimp.debug_timer_end

    function debug_timer_end(): Number(gdouble) {
        // Gjs wrapper for gimp_debug_timer_end()
    }

Finishes measuring elapsed time.

This procedure stops the timer started by a previous Gimp.debug_timer_start call, and prints and returns the elapsed time. If there was already an active timer at the time of corresponding call to Gimp.debug_timer_start, a dummy value is returned.

This is a debug utility procedure. It is subject to change at any point, and should not be used in production.

Returns

  The elapsed time, in seconds.